## puppet-module-rally 6.4.0

=== doc/requirements.txt ===
# This is required for the docs build jobs
sphinx>=3.5.1 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

# This is required for the releasenotes build jobs
reno>=3.1.0 # Apache-2.0

## puppet-module-rally 5.4.0

=== debian/changelog ===
puppet-module-rally (5.4.0-2) unstable; urgency=medium

  * Add fix-rally-db-upgrade.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 May 2024 16:56:01 +0200

puppet-module-rally (5.4.0-1) unstable; urgency=medium

  * Initial packaging (Closes: #1034869).

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Jan 2024 16:12:21 +0100

=== debian/control ===
Source: puppet-module-rally
Section: admin
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/openstack-team/puppet/puppet-module-rally
Vcs-Git: https://salsa.debian.org/openstack-team/puppet/puppet-module-rally.git
Homepage: https://github.com/openstack/puppet-rally

Package: puppet-module-rally
Architecture: all
Depends:
 puppet,
 puppet-module-openstacklib (>= 17.4.0),
 puppet-module-oslo (>= 17.4.0),
 puppet-module-puppetlabs-inifile,
 puppet-module-puppetlabs-stdlib,
 ${misc:Depends},
Description: Puppet module for OpenStack Rally
 Puppet lets you centrally manage every important aspect of your system using a
 cross-platform specification language that manages all the separate elements
 normally aggregated in different files, like users, cron jobs, and hosts,
 along with obviously discrete elements like packages, services, and files.
 .
 Rally is a Benchmark-as-a-Service project for OpenStack.
 .
 Rally is intended to provide the community with a benchmarking tool that is
 capable of performing specific, complicated and reproducible test cases on
 real deployment scenarios.
 .
 This module manages both the installation and configuration of OpenStack
 Rally.

## puppet-module-rally 6.4.0

=== debian/changelog ===
puppet-module-rally (6.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.
  * Add fix-rally-db-upgrade.patch.
  * Add trixie-support.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Jun 2025 08:46:56 +0200

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,8 @@
 Architecture: all
 Depends:
  puppet,
- puppet-module-openstacklib (>= 17.4.0),
- puppet-module-oslo (>= 17.4.0),
+ puppet-module-openstacklib (>= 18.4.0),
+ puppet-module-oslo (>= 18.4.0),
  puppet-module-puppetlabs-inifile,
  puppet-module-puppetlabs-stdlib,
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/puppet-rally.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Don't do anything here please"

override_dh_auto_build:
	echo "Don't do anything here please"

=== debian/watch ===
version=3
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/puppet-rally.git refs/tags/(\d[brc\d\.]+)
